﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Amöben
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        List<Lebewesen> zoo = new List<Lebewesen>();

        System.Windows.Threading.DispatcherTimer uhr = new System.Windows.Threading.DispatcherTimer();

        public MainWindow()
        {
            InitializeComponent();

            uhr.Interval = TimeSpan.FromSeconds(0.1);
            uhr.Tick += animiere;
            uhr.Start();

            for (int i = 0; i < 1; i++)
            {
                zoo.Add(new Amöbe());
            }

            for (int i = 0; i < 1; i++)
            {
                zoo.Add(new Bakterium());
            }
        }

        void animiere(object sender, EventArgs e)
        {
            Petrischale.Children.Clear();
            List<Lebewesen> kindergarten = new List<Lebewesen>();
            foreach (Lebewesen item in zoo)
            {
                item.Bewege();
                kindergarten.AddRange(item.Vermehre());
                item.Zeichne(Petrischale);
            }
            zoo.AddRange(kindergarten);
        }
    }
}
